using System;
using System.Collections.Generic;
using System.Text;
using Mall.Model.Entity.User;
using Mall.Model.Extend.User;
using System.Linq;

namespace Mall.Repository.User
{
    /// <summary>
    /// 插件表仓储层
    /// </summary>
    public class RB_PlugInRepository:BaseRepository<RB_PlugIn>
    {
        /// <summary>
        /// 根据查询条件获取插件列表
        /// </summary>
        /// <param name="query">查询条件</param>
        /// <returns></returns>
        public List<RB_PlugIn_Extend> GetListRepository(RB_PlugIn_Extend query)
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(" SELECT * FROM RB_PlugIn WHERE 1=1 AND Status=0 ");
            if (query != null)
            {
                
            }
            return Get<RB_PlugIn_Extend>(builder.ToString()).ToList();
        }
    }
}
